package com.purui.prims.headless.server.persistence.mapper;

import com.purui.prims.headless.server.persistence.dataobject.MetricDO;
import com.purui.prims.headless.server.pojo.MetricFilter;
import com.purui.prims.headless.server.pojo.MetricsFilter;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MetricDOCustomMapper {

    void batchInsert(List<MetricDO> metricDOS);

    void batchUpdateStatus(List<MetricDO> metricDOS);

    void batchPublish(List<MetricDO> metricDOS);

    void batchUnPublish(List<MetricDO> metricDOS);

    void updateClassificationsBatch(List<MetricDO> metricDOS);

    List<MetricDO> query(MetricFilter metricFilter);

    List<MetricDO> queryMetrics(MetricsFilter metricsFilter);
}
